
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Phone Call Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Phone.Call</h1><h2>Description</h2>
<p>The Call Interface is used to represent a communication channel.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Phone.Call</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetPeer">GetPeer</a></li>
<li><a href="#Initiate">Initiate</a></li>
<li><a href="#Activate">Activate</a></li>
<li><a href="#Release">Release</a></li>
<li><a href="#GetStatus">GetStatus</a></li>
<li><a href="#Remove">Remove</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#Incoming">Incoming</a></li>
<li><a href="#Outgoing">Outgoing</a></li>
<li><a href="#Released">Released</a></li>
<li><a href="#Activated">Activated</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><ul>
<li><a href="#Unauthorized">Unauthorized</a></li>
</ul>
<h1>Methods</h1><h3><a name="GetPeer">GetPeer</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Return the number of the peer (usually the number of the call). </p><h4>Returns</h4><i>s: peer</i><p>The number of the peer. </p>
<h3><a name="Initiate">Initiate</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Initiate the call. </p><h4>Returns</h4><i>s: status</i><p>The new status of the Call (should be 'Initiating'). </p>
<h3><a name="Activate">Activate</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Accept the call. </p><h4>Returns</h4><i>s: status</i><p>The new status of the Call (should be 'Activating'). </p>
<h3><a name="Release">Release</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Release the call. </p><h4>Returns</h4><i>s: status</i><p>The new status of the Call (should be 'Releasing'). </p>
<h3><a name="GetStatus">GetStatus</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Return the current status of the call. </p><h4>Returns</h4><i>s: status</i><p>The current status of the Call. </p>
<h3><a name="Remove">Remove</a> ( )</h3><p><i>Description:</i> Remove the call object when it is not needed anymore. </p>
<h1>Signals</h1><h3><a name="Incoming">Incoming</a> ( )</h3>
<h3><a name="Outgoing">Outgoing</a> ( )</h3>
<h3><a name="Released">Released</a> ( )</h3>
<h3><a name="Activated">Activated</a> ( )</h3>
<h1>Errors</h1><h3><a name="Unauthorized">Unauthorized</a></h3><p><i>Description:</i> Raised, if registering with the specified network is not possible. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

